javax.jdo.metadata

## Interface KeyMetadata

- All Superinterfaces:
    Metadata

      public interface KeyMetadata
      extends Metadata

  Represents a key in a map.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getColumn()` Accessor for the name of the column.
    `ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the key.
    `AttributeConverter<?,?>` | `getConverter()` Accessor for the attribute converter for this key (if any).
    `ForeignKeyAction` | `getDeleteAction()` Accessor for the delete action of the FK.
    `EmbeddedMetadata` | `getEmbeddedMetadata()` Accessor for any embedded metadata on this key
    `ForeignKeyMetadata` | `getForeignKeyMetadata()` Accessor for any foreign key metadata on this key.
    `IndexMetadata` | `getIndexMetadata()` Accessor for any index metadata on this key
    `int` | `getNumberOfColumns()` Accessor for the number of columns defined for this key.
    `String` | `getTable()` Accessor for the name of the table.
    `UniqueMetadata` | `getUniqueMetadata()` Accessor for any unique constraint metadata on this key.
    `ForeignKeyAction` | `getUpdateAction()` Accessor for the update action of the FK.
    `Boolean` | `getUseDefaultConversion()` Accessor for whether any AttributeConverter for this key type is explicitly disabled and should use the implementation default.
    `ColumnMetadata` | `newColumnMetadata()` Add a new column for this key.
    `EmbeddedMetadata` | `newEmbeddedMetadata()` Method to set new embedded metadata for the key.
    `ForeignKeyMetadata` | `newForeignKeyMetadata()` Method to set new foreign key metadata for the key
    `IndexMetadata` | `newIndexMetadata()` Method to set new index metadata for the key.
    `UniqueMetadata` | `newUniqueMetadata()` Method to set new unique constraint metadata for the key
    `KeyMetadata` | `setColumn(String column)` Method to set the column name.
    `KeyMetadata` | `setConverter(AttributeConverter<?,?> conv)` Method to set the attribute converter to use for this key.
    `KeyMetadata` | `setDeleteAction(ForeignKeyAction action)` Method to set the delete action of the FK
    `KeyMetadata` | `setTable(String table)` Method to set the table name.
    `KeyMetadata` | `setUpdateAction(ForeignKeyAction action)` Method to set the update action of the FK.
    `KeyMetadata` | `setUseDefaultConversion(Boolean flag)` Method to explicitly set whether to disable use of AttributeConverter for this type (either here, class-level or PMF level).

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setColumn

          KeyMetadata setColumn(String column)

      Method to set the column name.
      Parameters:
        `column` - Column name
      Returns:
        This metadata object

    - #### getColumn

          String getColumn()

      Accessor for the name of the column.
      Returns:
        The name

    - #### setTable

          KeyMetadata setTable(String table)

      Method to set the table name.
      Parameters:
        `table` - Table name
      Returns:
        This metadata object

    - #### getTable

          String getTable()

      Accessor for the name of the table.
      Returns:
        The name

    - #### setDeleteAction

          KeyMetadata setDeleteAction(ForeignKeyAction action)

      Method to set the delete action of the FK
      Parameters:
        `action` - Delete action of the FK
      Returns:
        This metadata object

    - #### getDeleteAction

          ForeignKeyAction getDeleteAction()

      Accessor for the delete action of the FK.
      Returns:
        The FK delete-action

    - #### setUpdateAction

          KeyMetadata setUpdateAction(ForeignKeyAction action)

      Method to set the update action of the FK.
      Parameters:
        `action` - Update action of the FK
      Returns:
        This metadata object

    - #### getUpdateAction

          ForeignKeyAction getUpdateAction()

      Accessor for the update action of the FK.
      Returns:
        The FK update-action

    - #### getColumns

          ColumnMetadata[] getColumns()

      Accessor for all column(s) defined on the key.
      Returns:
        The column(s)

    - #### newColumnMetadata

          ColumnMetadata newColumnMetadata()

      Add a new column for this key.
      Returns:
        The ColumnMetadata

    - #### getNumberOfColumns

          int getNumberOfColumns()

      Accessor for the number of columns defined for this key.
      Returns:
        The number of columns

    - #### newEmbeddedMetadata

          EmbeddedMetadata newEmbeddedMetadata()

      Method to set new embedded metadata for the key.
      Returns:
        The EmbeddedMetadata

    - #### getEmbeddedMetadata

          EmbeddedMetadata getEmbeddedMetadata()

      Accessor for any embedded metadata on this key
      Returns:
        The EmbeddedMetadata

    - #### newIndexMetadata

          IndexMetadata newIndexMetadata()

      Method to set new index metadata for the key.
      Returns:
        The IndexMetadata

    - #### getIndexMetadata

          IndexMetadata getIndexMetadata()

      Accessor for any index metadata on this key
      Returns:
        Index metadata

    - #### newUniqueMetadata

          UniqueMetadata newUniqueMetadata()

      Method to set new unique constraint metadata for the key
      Returns:
        The UniqueMetadata

    - #### getUniqueMetadata

          UniqueMetadata getUniqueMetadata()

      Accessor for any unique constraint metadata on this key.
      Returns:
        The UniqueMetadata

    - #### newForeignKeyMetadata

          ForeignKeyMetadata newForeignKeyMetadata()

      Method to set new foreign key metadata for the key
      Returns:
        The ForeignKeyMetadata

    - #### getForeignKeyMetadata

          ForeignKeyMetadata getForeignKeyMetadata()

      Accessor for any foreign key metadata on this key.
      Returns:
        The ForeignKeyMetadata

    - #### getConverter

          AttributeConverter<?,?> getConverter()

      Accessor for the attribute converter for this key (if any).
      Returns:
        The converter

    - #### setConverter

          KeyMetadata setConverter(AttributeConverter<?,?> conv)

      Method to set the attribute converter to use for this key.
      Parameters:
        `conv` - Converter
      Returns:
        This metadata

    - #### getUseDefaultConversion

          Boolean getUseDefaultConversion()

      Accessor for whether any AttributeConverter for this key type is explicitly disabled and should use the implementation default.
      Returns:
        Whether it is disabled

    - #### setUseDefaultConversion

          KeyMetadata setUseDefaultConversion(Boolean flag)

      Method to explicitly set whether to disable use of AttributeConverter for this type (either here, class-level or PMF level).
      Parameters:
        `flag` - Whether to disable
      Returns:
        This metadata

Copyright © 2005–1970 Apache Software Foundation. All rights reserved.